QGIS Application - Bug report #15041
road graph plugin routing on virtual field
2016-06-16 05:35 AM - Pieter Brusselman

Status: Closed
Priority: Normal
Assignee:

Category: Analysis library

Affected QGIS version:2.14.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22986

Description

According to the documentation the speed field has to be numeric. However when you create a virtual field of the numeric type, it is not

recognised by the plugin under vector > road graph > settings.

It would be great that this would be possible, because it gives great flexibility in changing parameters to the speed-field. More info:

http://gis.stackexchange.com/questions/198538/road-graph-plugin-routing-on-a-virtual-numeric-field-does-not-work

Associated revisions

Revision 44112675 - 2016-06-17 04:23 AM - Nyall Dawson

[roadgraph] Allow use of virtual and joined fields (fix #15041)

Also modernise some code

History

#1 - 2016-06-16 07:24 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"44112675fb32e9d713cc813f4f00e24fd54d39c1".

#2 - 2017-01-02 01:26 AM - Giovanni Manghi
- Category changed from 113 to Analysis library
